Validate intent against platform requirements
curl --request POST \
--url https://sandbox.composer.id/v1/preflight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>"
}
'import requests
url = "https://sandbox.composer.id/v1/preflight"
payload = {
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent_id: 'itn_7f3aK2mQ9xLp', platform: '<string>'})
};
fetch('https://sandbox.composer.id/v1/preflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>",
"profile": "<string>",
"ok": true,
"missing_fields": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"enrichment_request": {
"type": "enrichment_request",
"intent_id": "<string>",
"intent_version": 2,
"target_system": "<string>",
"profile": "<string>",
"missing_fields": [
"<unknown>"
]
}
}Validate intent against platform requirements
POST
/
preflight
Validate intent against platform requirements
curl --request POST \
--url https://sandbox.composer.id/v1/preflight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>"
}
'import requests
url = "https://sandbox.composer.id/v1/preflight"
payload = {
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent_id: 'itn_7f3aK2mQ9xLp', platform: '<string>'})
};
fetch('https://sandbox.composer.id/v1/preflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"intent_id": "itn_7f3aK2mQ9xLp",
"platform": "<string>",
"profile": "<string>",
"ok": true,
"missing_fields": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"enrichment_request": {
"type": "enrichment_request",
"intent_id": "<string>",
"intent_version": 2,
"target_system": "<string>",
"profile": "<string>",
"missing_fields": [
"<unknown>"
]
}
}Authorizations
oauth2bearerAuth
Body
application/json
Response
OK